%define _name		liferea
%define _version	0.9.0
%define _rel		1

%define _suse		%(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%define mozversion	%(rpm -q mozilla-devel --queryformat "%{VERSION}" 2>/dev/null)
%define mozmajor		%(echo "%{mozversion}" | cut -f1,2 -d.)
%define moztag			%(echo "%{mozmajor}" | tr -d ".")

%if %_suse
%define _suse_version	%(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define _suse_vernum		%(echo "%_suse_version"|tr -d '.')
%define _release			%{_rel}.guru.suse%{_suse_vernum}
%define _has_distro		1
%define _distribution	SuSE Linux %_suse_version
%define _prefix			%(test "%{_suse_vernum}" -ge 90 && echo /opt/gnome || echo /opt/gnome2)
%define _sysconfdir		/etc%{_prefix}
%define _libdir			%{_prefix}/%{_lib}
%define _mandir			%{_prefix}/man
%define _group				Productivity/Networking/News
%else
%define _release			%_rel
%define _has_distro		0
%define _prefix			/usr
%define _group				Applications/Internet
%endif

Summary:			Liferea - a RSS News Aggregator
Name:				%{_name}
Version:			%{_version}
Release:			%{_release}
Source:			http://osdn.dl.sourceforge.net/liferea/liferea-%{_version}.tar.gz
Patch1:			liferea-opml-guru.diff
URL:				http://liferea.sourceforge.net/
Group:			%{_group}
Packager:		Pascal Bleser <guru@unixtech.be>
License:			GPL
BuildRoot:		%{_tmppath}/build-%{_name}-%{_version}
Prefix:			%{_prefix}
Requires:		libgtkhtml, gconf2 >= 1.1.9, gtk2 >= 2.4.0
Requires:		libxml2 >= 2.4.1, orbit2, libstdc++
Requires:		gail, openssl, popt, libgnomecanvas
BuildRequires:	pkgconfig, libgtkhtml-devel, mozilla-devel, gettext
BuildRequires:	gconf2-devel >= 1.1.9, gconf2 >= 1.1.9
BuildRequires:	gtk2 >= 2.4.0, gtk2-devel >= 2.4.0, libxml2 >= 2.4.1, orbit2-devel
BuildRequires:	c++_compiler, libstdc++-devel
BuildRequires:	popt-devel, openssl-devel, gail-devel
BuildRequires:	libgnomecanvas-devel, libgnomeui-devel, libgnomeprint-devel
BuildRequires:	libgnomeprintui-devel, libglade2-devel, gal2-devel
Provides:		%{_name}
Provides:		%{_name} = %{_version}
Provides:		%{_name} = %{_version}-%{_rel}
Provides:		%{_name} = %{_version}-%{_release}
%if %_has_distro
Distribution:  %_distribution
%endif

%description
Liferea is an abbreviation for Linux Feed Reader. It is a news aggregator for
online news feeds. It supports a number of different feed formats including
RSS/RDF, CDF, Atom, OCS, and OPML.
There are many other news readers available, but these others are not
available for Linux or require many extra libraries to be installed. Liferea
tries to fill this gap by creating a fast, easy to use, easy to install news
aggregator for GTK/GNOME.

Features:
- parses RDF/RSS, CDF, Atom/Echo/PIE 0.2 feeds, as well as OPML 1.0 and OCS
  0.4 directories
- at least partially supported RSS modules: Dublin Core, Content, Slash,
  Freshmeat, Syndication, Admin, blogChannel, and others...
- display of item content and additional information (e.g. Dublin Core) with
  GtkHTML2 or Mozilla
- auto updating, permanent feed storage, feed loading in background
- feed type auto detection
- feed list import/export as OPML
- find feed links via <link rel=...>
- popups when new items are retrieved
- virtual folder support like Evolution

To use the Mozilla engine for rendering HTML/CSS, you will have to install
the %{_name}-mozilla%{moztag} package.

%package mozilla%{moztag}
Summary:		Mozilla rendering bindings for Liferea
Group:		%{_group}
Requires:	%{_name} = %{_version}-%{_release}
Requires:	mozilla = %{mozversion}
Provides:	%{_name}-mozilla
Provides:	%{_name}-mozilla = %{_version}
Provides:	%{_name}-mozilla = %{_version}-release

%description mozilla%{moztag}
Plugin for the Liferea RSS News Reader to use the Mozilla engine to render
HTML and CSS.
The installation of this package is optional as Liferea already comes with
built-in support for GtkHTML2.

You will mozilla %{mozversion} (exactly that release) to install this package.

%prep
%setup -q
%patch1
CFLAGS="${RPM_OPT_FLAGS}" \
CXXFLAGS="${RPM_OPT_FLAGS}" \
./configure \
	--prefix="%{_prefix}" \
	--sysconfdir="%{_sysconfdir}" \
	--libdir="%{_libdir}" \
	--mandir="%{_mandir}" \
	--disable-schemas-install

%build
%{__make}

%install
%{__rm} -rf "${RPM_BUILD_ROOT}"
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%{__make} \
	DESTDIR="${RPM_BUILD_ROOT}" \
	install-strip

%{__rm} "${RPM_BUILD_ROOT}%{_libdir}/liferea"/lib*.la

%clean
%{__rm} -rf "${RPM_BUILD_ROOT}"

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/liferea.schemas &>/dev/null

%preun
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/liferea.schemas >/dev/null || :

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/liferea
%{_bindir}/liferea-bin
%{_sysconfdir}/gconf/schemas/liferea.schemas
%dir %{_libdir}/liferea
%{_libdir}/liferea/liblihtmlg.so
%{_mandir}/man1/liferea.1*
%{_datadir}/applications/liferea.desktop
%{_datadir}/liferea
%{_datadir}/locale/*/LC_MESSAGES/liferea.mo
%{_datadir}/pixmaps/liferea.png

%files mozilla%{moztag}
%defattr(-,root,root)
%{_libdir}/liferea/liblihtmlm.so

%changelog
* Fri Jan 14 2005 Pascal Bleser <guru@unixtech.be> 0.9.0
- Removal of a lot old migration code. Don't upgrade directly from versions
  below 0.6.x or you might loose some of your preferences. If you upgrade from
  very old version like 0.4.x you might even loose your feed list. To properly
  upgrade install the latest 0.6.x release, run it at least once and then
  upgrade to 0.9.x. (Lars Lindner)
- Experimental support for HTML entities when parsing XML. This is to
  workaround the various broken feeds. Note: only very common HTML entities
  are supported. (Lars Lindner)
- GTK+ dependency raised to 2.4 to drop the included GtkTreeModelFilter
  source. (Lars Lindner)
- Filtered feed list feature removed. Did not work properly and there is no
  time to fix it.
- Added link to FeedValidator in the feed syntax error messages. (Nathan Conrad)

* Mon Nov 29 2004 Pascal Bleser <guru@unixtech.be> 0.6.4
- version 0.6.4
- Added Polish translation and default feed list
- Article skimming keybinding is now global. 
- Not matching types for proxy port variable fixed. This should solve proxy problems on Solaris.
- Fixes a bug that caused the items of a deleted feed not to be removed from all vfolders. 
- Workaround for unwanted GtkHTML2 default backgroundcolor. Liferea now enforces a white background.

* Fri Nov 26 2004 Pascal Bleser <guru@unixtech.be> 0.6.3
- version 0.6.3:
- Keyboard focus is adjusted on "Next Unread"
- 100% CPU usage on HTTP 202 (e.g. Slashdot after banning) is now fixed
- Fixes a possible crash when selecting the condensed mode view

* Thu Nov 18 2004 Pascal Bleser <guru@unixtech.be> 0.6.2
- new package
- patch to add the RSS feed on my site

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
